<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.gestClasse.AbstractGestClasse</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1gestClasse_1_1AbstractGestClasse.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classsrc_1_1gestClasse_1_1AbstractGestClasse-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.gestClasse.AbstractGestClasse</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.gestClasse.AbstractGestClasse:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1gestClasse_1_1AbstractGestClasse__inherit__graph.png" border="0" usemap="#src_8gestClasse_8AbstractGestClasse_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8gestClasse_8AbstractGestClasse_inherit__map" id="src_8gestClasse_8AbstractGestClasse_inherit__map">
<area shape="rect" title=" " alt="" coords="5,5,193,47"/>
<area shape="rect" href="classsrc_1_1gestClasse_1_1Sconet.html" title="Une classe pour travailler avec des données Sconet." alt="" coords="23,95,175,121"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:afa23ddd2df7f94583a72af62fe2e0c73"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#afa23ddd2df7f94583a72af62fe2e0c73">__init__</a> (self, f)</td></tr>
<tr class="memdesc:afa23ddd2df7f94583a72af62fe2e0c73"><td class="mdescLeft">&#160;</td><td class="mdescRight">le constructeur  <a href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#afa23ddd2df7f94583a72af62fe2e0c73">Plus de détails...</a><br /></td></tr>
<tr class="separator:afa23ddd2df7f94583a72af62fe2e0c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae97cc45608496243db80c85fbfb8dd4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#aae97cc45608496243db80c85fbfb8dd4">collectClasses</a> (self)</td></tr>
<tr class="separator:aae97cc45608496243db80c85fbfb8dd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b4389a7aba686ce3814bc27cad05629"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#a7b4389a7aba686ce3814bc27cad05629">elevesDeClasse</a> (self, cl)</td></tr>
<tr class="separator:a7b4389a7aba686ce3814bc27cad05629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a567bbc79b2d333d01d18f94ac10b16df"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#a567bbc79b2d333d01d18f94ac10b16df">unique_name</a> (self, el)</td></tr>
<tr class="separator:a567bbc79b2d333d01d18f94ac10b16df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea16310718e6092ad99b0102d7450c20"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#aea16310718e6092ad99b0102d7450c20">showable_name</a> (self, el)</td></tr>
<tr class="separator:aea16310718e6092ad99b0102d7450c20"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00032">32</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="afa23ddd2df7f94583a72af62fe2e0c73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa23ddd2df7f94583a72af62fe2e0c73">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.AbstractGestClasse.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>le constructeur </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f</td><td>le nom d'un fichier, ou un fichier ouvert en lecture qui contient les données permettant la gestion des classes d'un établissement scolaire </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a13e5a84f2abd3df713cfdb02aacd0f16">src.gestClasse.Sconet</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00039">39</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="aae97cc45608496243db80c85fbfb8dd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae97cc45608496243db80c85fbfb8dd4">&#9670;&nbsp;</a></span>collectClasses()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.AbstractGestClasse.collectClasses </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Renvoie</dt><dd>une liste de noms de classes d'un établissement scolaire </dd></dl>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#ad5b92be08cc473dcccde2a922f7ca56f">src.gestClasse.Sconet</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00045">45</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a7b4389a7aba686ce3814bc27cad05629"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b4389a7aba686ce3814bc27cad05629">&#9670;&nbsp;</a></span>elevesDeClasse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.AbstractGestClasse.elevesDeClasse </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>cl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">cl</td><td>une classe dans un établissement scolaire </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>une liste d'élèves (sous forme d'objets) </dd></dl>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#abd519b58613ebdaa016f65fd2721d0a1">src.gestClasse.Sconet</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00052">52</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="aea16310718e6092ad99b0102d7450c20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea16310718e6092ad99b0102d7450c20">&#9670;&nbsp;</a></span>showable_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.AbstractGestClasse.showable_name </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">el</td><td>un objet élève </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>une chaîne unicode, pour nommer l'élève </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00066">66</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a567bbc79b2d333d01d18f94ac10b16df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a567bbc79b2d333d01d18f94ac10b16df">&#9670;&nbsp;</a></span>unique_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.AbstractGestClasse.unique_name </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">el</td><td>un objet élève </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>une chaîne unicode, unique dans l'établissement </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00059">59</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="gestClasse_8py_source.html">gestClasse.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1gestClasse.html">gestClasse</a></li><li class="navelem"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html">AbstractGestClasse</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
